Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 234552

Summary: Need URL of leverage in testplan box
Product: Red Hat Hardware Certification Program Reporter: heyinglong <yhe>
Component: Hardware CatalogAssignee: XINSUN <xisun>
Status: CLOSED CURRENTRELEASE QA Contact: Yu Shao <yshao>
Severity: medium Docs Contact:
Priority: medium    
Version: 5CC: efeng, rlandry, yshao
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 3.2rh-20080801.1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-08-04 17:56:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 238481    
Attachments:
Description Flags
Patch Fix: none

Description heyinglong 2007-03-30 02:53:22 UTC
Description of problem:
When user or reviewer input a leverage number to leverage box, after save this
number, this number will shows in testplan box. But reviewer feel inconvenient,
whenever they must copy this number and open a new brower to check this leverage
 detail. If it is possible to show a URL to point this leverage cert beside
leverage box. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. pick a cert randomly which have testplan
2. If it have leverage number, you have to open a new brower to check it. 
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 XINSUN 2008-07-11 11:05:03 UTC
Created attachment 311561 [details]
Patch Fix:

Add the URL link before the text area of leverage after reviewers fill the
leverage id and save change. it is similar with bugzilla's depend on/block's
style. 

The patch is for the old testplan view. The new testplan view's patch has
contained this feature.

Best Regards!
Nicho

Comment 2 Rob Landry 2008-07-17 20:20:17 UTC
looks good, feature creap would be to use js to allow on entry instead of on
save linking but I don't think that's required at this time.

Comment 3 Rob Landry 2008-07-17 20:53:30 UTC
This should be checked in.

Comment 4 eric_liu 2008-08-01 11:54:13 UTC
tested and run good